Freeciv-3.1: loaddata Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
loaddata Struct Reference

`#include <savecompat.h>`

## Data Fields

struct section_file * | file
const char * | secfile_options
int | version
int | full_version
struct { |
const char ** order |
size_t size |
} | improvement |
struct { |
const char ** order |
size_t size |
} | technology |
struct { |
const char ** order |
size_t size |
} | activities |
struct { |
const char ** order |
size_t size |
} | trait |
struct { |
struct extra_type ** order |
size_t size |
} | extra |
struct { |
struct multiplier ** order |
size_t size |
} | multiplier |
struct { |
enum tile_special_type * order |
size_t size |
} | special |
struct { |
struct base_type ** order |
size_t size |
} | base |
struct { |
struct road_type ** order |
size_t size |
} | road |
struct { |
struct specialist ** order |
size_t size |
} | specialist |
struct { |
enum diplstate_type * order |
size_t size |
} | ds_t |
struct { |
action_id * order |
size_t size |
} | action |
struct { |
enum action_decision * order |
size_t size |
} | act_dec |
struct { |
enum server_side_agent * order |
size_t size |
} | ssa |
enum server_states | server_state
RANDOM_STATE | rstate
int * | worked_tiles

## Detailed Description

Definition at line 47 of file savecompat.h.

## Field Documentation

## ◆ [struct]

struct { ... } loaddata::act_dec

Referenced by loaddata_destroy(), loaddata_new(), sg_load_player_unit(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::action

Referenced by compat_load_030100(), loaddata_destroy(), loaddata_new(), sg_load_player_city(), sg_load_player_unit(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::activities

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_player_unit(), sg_load_player_unit(), sg_load_savefile(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::base

Referenced by loaddata_destroy(), loaddata_new(), sg_load_map_tiles_bases(), sg_load_player_unit(), sg_load_player_vision(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::ds_t

Referenced by loaddata_destroy(), loaddata_new(), sg_load_player_main(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::extra

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_map_tiles_extras(), sg_load_map_tiles_extras(), sg_load_player_unit(), sg_load_player_unit(), sg_load_player_vision(), sg_load_player_vision(), sg_load_savefile(), and sg_load_savefile().

## ◆ file

struct section_file* loaddata::file

Definition at line 48 of file savecompat.h.

Referenced by compat_load_020400(), compat_load_020500(), compat_load_020600(), compat_load_030000(), compat_load_030100(), increase_secfile_turn_int(), insert_server_side_agent(), loaddata_new(), loaddata_new(), savegame2_load(), savegame3_load(), sg_load_compat(), sg_load_event_cache(), sg_load_event_cache(), sg_load_game(), sg_load_game(), sg_load_history(), sg_load_history(), sg_load_map(), sg_load_map(), sg_load_map_known(), sg_load_map_known(), sg_load_map_owner(), sg_load_map_owner(), sg_load_map_startpos(), sg_load_map_startpos(), sg_load_map_tiles(), sg_load_map_tiles(), sg_load_map_tiles_bases(), sg_load_map_tiles_extras(), sg_load_map_tiles_extras(), sg_load_map_tiles_resources(), sg_load_map_tiles_roads(), sg_load_map_tiles_specials(), sg_load_map_worked(), sg_load_map_worked(), sg_load_mapimg(), sg_load_mapimg(), sg_load_player_attributes(), sg_load_player_attributes(), sg_load_player_cities(), sg_load_player_cities(), sg_load_player_city(), sg_load_player_city(), sg_load_player_city_citizens(), sg_load_player_city_citizens(), sg_load_player_main(), sg_load_player_main(), sg_load_player_unit(), sg_load_player_unit(), sg_load_player_units(), sg_load_player_units(), sg_load_player_units_transport(), sg_load_player_units_transport(), sg_load_player_vision(), sg_load_player_vision(), sg_load_player_vision_city(), sg_load_player_vision_city(), sg_load_players(), sg_load_players(), sg_load_players_basic(), sg_load_players_basic(), sg_load_random(), sg_load_random(), sg_load_researches(), sg_load_researches(), sg_load_ruledata(), sg_load_ruledata(), sg_load_ruleset(), sg_load_savefile(), sg_load_savefile(), sg_load_scenario(), sg_load_scenario(), sg_load_script(), sg_load_script(), sg_load_settings(), sg_load_settings(), sg_load_treaties(), sg_load_treaties(), and worklist_load().

## ◆ full_version

int loaddata::full_version

Definition at line 51 of file savecompat.h.

Referenced by sg_load_game(), and sg_load_scenario().

## ◆ [struct]

struct { ... } loaddata::improvement

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_player_city(), sg_load_player_city(), sg_load_player_main(), sg_load_player_main(), sg_load_player_vision_city(), sg_load_player_vision_city(), sg_load_players_basic(), sg_load_players_basic(), sg_load_savefile(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::multiplier

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_players_basic(), sg_load_players_basic(), sg_load_savefile(), and sg_load_savefile().

## ◆ order [1/11]

const char** loaddata::order

Definition at line 55 of file savecompat.h.

Referenced by char2order(), loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_game(), sg_load_game(), sg_load_map_tiles_bases(), sg_load_map_tiles_extras(), sg_load_map_tiles_extras(), sg_load_map_tiles_roads(), sg_load_map_tiles_specials(), sg_load_player_city(), sg_load_player_city(), sg_load_player_main(), sg_load_player_main(), sg_load_player_unit(), sg_load_player_unit(), sg_load_player_vision(), sg_load_player_vision(), sg_load_player_vision_city(), sg_load_player_vision_city(), sg_load_players_basic(), sg_load_players_basic(), sg_load_researches(), sg_load_researches(), sg_load_savefile(), and sg_load_savefile().

## ◆ order [2/11]

struct extra_type** loaddata::order

Definition at line 75 of file savecompat.h.

## ◆ order [3/11]

struct multiplier** loaddata::order

Definition at line 80 of file savecompat.h.

## ◆ order [4/11]

enum tile_special_type* loaddata::order

Definition at line 86 of file savecompat.h.

## ◆ order [5/11]

struct base_type** loaddata::order

Definition at line 92 of file savecompat.h.

## ◆ order [6/11]

struct road_type** loaddata::order

Definition at line 98 of file savecompat.h.

## ◆ order [7/11]

struct specialist** loaddata::order

Definition at line 103 of file savecompat.h.

## ◆ order [8/11]

enum diplstate_type* loaddata::order

Definition at line 108 of file savecompat.h.

## ◆ order [9/11]

action_id* loaddata::order

Definition at line 113 of file savecompat.h.

## ◆ order [10/11]

enum action_decision* loaddata::order

Definition at line 118 of file savecompat.h.

## ◆ order [11/11]

enum server_side_agent* loaddata::order

Definition at line 123 of file savecompat.h.

## ◆ [struct]

struct { ... } loaddata::road

Referenced by loaddata_destroy(), loaddata_new(), sg_load_map_tiles_roads(), sg_load_player_unit(), sg_load_player_vision(), and sg_load_savefile().

## ◆ rstate

RANDOM_STATE loaddata::rstate

Definition at line 131 of file savecompat.h.

Referenced by loaddata_new(), loaddata_new(), sg_load_random(), sg_load_random(), sg_load_sanitycheck(), and sg_load_sanitycheck().

## ◆ secfile_options

const char* loaddata::secfile_options

Definition at line 49 of file savecompat.h.

Referenced by loaddata_new(), loaddata_new(), sg_load_map(), sg_load_savefile(), and sg_load_savefile().

## ◆ server_state

enum server_states loaddata::server_state

Definition at line 128 of file savecompat.h.

Referenced by loaddata_new(), loaddata_new(), sg_load_game(), sg_load_game(), sg_load_map(), sg_load_map(), sg_load_map_startpos(), sg_load_map_startpos(), sg_load_map_tiles_extras(), sg_load_players_basic(), sg_load_players_basic(), sg_load_scenario(), and sg_load_scenario().

## ◆ size

size_t loaddata::size

Definition at line 56 of file savecompat.h.

Referenced by compat_load_030100(), loaddata_new(), loaddata_new(), sg_load_game(), sg_load_game(), sg_load_map_tiles_bases(), sg_load_map_tiles_extras(), sg_load_map_tiles_extras(), sg_load_map_tiles_roads(), sg_load_map_tiles_specials(), sg_load_player_city(), sg_load_player_city(), sg_load_player_main(), sg_load_player_main(), sg_load_player_unit(), sg_load_player_unit(), sg_load_player_vision(), sg_load_player_vision(), sg_load_player_vision_city(), sg_load_player_vision_city(), sg_load_players_basic(), sg_load_players_basic(), sg_load_researches(), sg_load_researches(), sg_load_savefile(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::special

Referenced by loaddata_destroy(), loaddata_new(), sg_load_map_tiles_specials(), sg_load_player_unit(), sg_load_player_vision(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::specialist

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_player_city(), sg_load_player_city(), sg_load_player_main(), sg_load_player_main(), sg_load_savefile(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::ssa

Referenced by loaddata_destroy(), loaddata_new(), sg_load_player_unit(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::technology

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_game(), sg_load_game(), sg_load_researches(), sg_load_researches(), sg_load_savefile(), and sg_load_savefile().

## ◆ [struct]

struct { ... } loaddata::trait

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_player_main(), sg_load_player_main(), sg_load_savefile(), and sg_load_savefile().

## ◆ version

int loaddata::version

Definition at line 50 of file savecompat.h.

Referenced by sg_load_compat(), sg_load_map(), sg_load_map_owner(), sg_load_player_vision(), sg_load_players_basic(), sg_load_post_load_compat(), sg_load_sanitycheck(), and sg_load_scenario().

## ◆ worked_tiles

int* loaddata::worked_tiles

Definition at line 134 of file savecompat.h.

Referenced by loaddata_destroy(), loaddata_destroy(), loaddata_new(), loaddata_new(), sg_load_map_worked(), sg_load_map_worked(), sg_load_player_city(), sg_load_player_city(), sg_load_sanitycheck(), and sg_load_sanitycheck().